File: control

package info (click to toggle)
qutebrowser 2.4.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, sid
  • size: 20,964 kB
  • sloc: python: 70,568; javascript: 31,804; sh: 748; xml: 129; makefile: 49
file content (78 lines) | stat: -rw-r--r-- 2,718 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
Source: qutebrowser
Section: web
Priority: optional
Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 13),
	       dh-python,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python3 (>= 3.7),
               python3-setuptools,
               source-highlight,
               xsltproc
Standards-Version: 4.6.0
Homepage: https://qutebrowser.org/
Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
Rules-Requires-Root: no

Package: qutebrowser
Architecture: all
Depends: libqt5core5a (>= 5.12.1),
	 libqt5dbus5 (>= 5.12.1),
         libqt5sql5-sqlite,
         python3 (>= 3.7),
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtquick,
         python3-pyqt5.qtsql,
         python3-yaml,
         python3-sip,
         python3-importlib-resources | python3 (>= 3.9),
         qutebrowser-qtwebengine | qutebrowser-qtwebkit,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libjs-pdf,
          nodejs
Provides: www-browser
Description: Keyboard-driven, vim-like browser based on PyQt5
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 qutebrowser supports two different rendering engine backends:
 QtWebKit and QtWebEngine.

Package: qutebrowser-qtwebengine
Architecture: all
Depends: libqt5webenginecore5 (>= 5.12.1),
         python3-pyqt5.qtwebengine (>= 5.12.1),
         qutebrowser (= ${source:Version}),
         ${misc:Depends}
Suggests: python3-pygments
Description: QtWebEngine backend dependency package for qutebrowser
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 This package contains all the required dependencies to use
 qutebrowser with the QtWebEngine backend.

Package: qutebrowser-qtwebkit
Architecture: all
Depends: python3-pyqt5.qtwebkit (>= 5.12.1),
         libqt5webkit5 (>= 5.212),
         qutebrowser (= ${source:Version}),
         ${misc:Depends}
Recommends: ca-certificates,
            python3-pygments
Description: QtWebKit backend dependency package for qutebrowser
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.
 .
 This package contains all the required dependencies to use
 qutebrowser with the QtWebKit backend.